html {
  font-size: 16px;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  line-height: 1.6;
  background-color: var(--bg-color);
  color: var(--text-color);
}

a {
  text-decoration: none;
  color: inherit;
  outline: none;
}

a:hover {
  text-decoration: none;
  color: inherit;
}

/* 浅色模式（默认） */
:root {
  --bg-color: #fff;
  --text-color: #333;
  --header-text-color: #fff;
  --card-bg-color: #ffffff;
  --card-text-color: #374375;
  --card-desc-color: #47b3f1;
  --card-desc2-color: #5f75a1;
  --card-title-desc-color: #47b3f1;
  --border-color: #ddd;
  --shadow-color: rgba(207, 207, 207, 0.48);
  --hover-shadow-color: rgba(0, 0, 0, 0.1);
  --footer-text-color: #374375;
  --footer-link-color: #47b3f1;
}

/* 深色模式 */
[data-bs-theme="dark"] {
  --bg-color: #212529;
  --text-color: #e0e0e0;
  --header-text-color: #ffffff;
  --card-bg-color: #2d2d2d;
  --card-text-color: #ffffff;
  --card-desc-color: #64b5f6;
  --card-desc2-color: #ffffff;
  --card-title-desc-color: #ffffff;
  --border-color: #555;
  --shadow-color: rgba(100, 100, 100, 0.3);
  --hover-shadow-color: rgba(255, 255, 255, 0.1);
  --footer-text-color: #cccccc;
  --footer-link-color: #64b5f6;
}
/* --------------------- */

.header {
  box-sizing: border-box;
  width: 100vw !important;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  background-image: url("https://doc-asset.easyar.com/media/doc-bg.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: var(--header-text-color);
  padding: 2.5rem 0rem 2.5rem 9rem;
}
.header_title {
  font-size: 2rem;
  font-weight: 600;
  margin: 0;
}

.header_desc {
  margin-top: 0.2rem;
  font-size: 1.1rem;
}

/* -------------------------- */

.quick_links {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem 2rem;
  margin-bottom: 2rem;
  padding: 3rem 4rem 2rem;
}

.quick_link_card {
  display: flex;
  align-items: stretch;
  padding: 1.5rem;
  border: 2px solid var(--card-bg-color);
  border-radius: 10px;
  box-shadow: 2px 2px 10px 0px var(--shadow-color);
  backdrop-filter: blur(13px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.quick_link_card:hover {
  transform: translateY(-3px);
  box-shadow: 2px 2px 10px 0px var(--hover-shadow-color);
}

.quick_link_card a {
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

.card_icon {
  width: 45px;
  margin-right: 1rem;
  flex-shrink: 0;
}

.card_title {
  font-size: 17px;
  font-weight: 600;
  color: var(--card-text-color);
}
.card_desc {
  font-size: 14px;
  color: var(--card-desc-color);
}
.card_desc:hover {
  text-decoration: underline;
}

/* ----------------------- */

.explore {
  box-sizing: border-box;
  width: 100%;
  padding: 0rem 5rem 0rem;
}
.explore_title {
  font-size: 1.6rem;
  font-weight: 600;
  color: var(--card-text-color);
}

.explore_desc {
  font-size: 1rem;
  color: var(--card-title-desc-color);
}

.explore_links {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem 2rem;
  margin-bottom: 2rem;
  padding: 2rem 4rem 1.5rem;
}

.explore_link_card {
  display: flex;
  flex-direction: column;
  padding: 1.5rem 2rem 2rem;
  border: 2px solid var(--card-bg-color);
  border-radius: 10px;
  box-shadow: 2px 2px 10px 0px var(--shadow-color);
  backdrop-filter: blur(13px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.explore_link_card:hover {
  transform: translateY(-3px);
  box-shadow: 2px 2px 10px 0px var(--hover-shadow-color);
}

.explore_card_icon {
  width: 45px;
  flex-shrink: 0;
  margin-bottom: 1rem;
}

.explore_card_title {
  font-size: 17px;
  font-weight: 600;
  color: var(--card-text-color);
  margin-bottom: 0.2rem;
}
.explore_card_link {
  font-size: 14px;
  color: #47b3f1 !important;
  line-height: 2;
  cursor: pointer;
}
.explore_card_link:hover {
  text-decoration: underline;
}

/* ------------------------------------- */

.develop {
  box-sizing: border-box;
  width: 100%;
  padding: 0rem 5rem 0rem;
}
.develop_title {
  font-size: 1.6rem;
  font-weight: 600;
  color: var(--card-text-color);
}

.develop_desc {
  font-size: 1rem;
  color: var(--card-title-desc-color);
}

.develop_links {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem 2rem;
  margin-bottom: 2rem;
  padding: 2rem 4rem 1.5rem;
}

.develop_card {
  display: flex;
  flex-direction: column;
  padding: 1.5rem 2rem;
  border: 2px solid var(--card-bg-color);
  border-radius: 10px;
  box-shadow: 2px 2px 10px 0px var(--shadow-color);
  backdrop-filter: blur(13px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.develop_card:hover {
  transform: translateY(-3px);
  box-shadow: 2px 2px 10px 0px var(--hover-shadow-color);
}

.develop_card_title {
  font-size: 18px;
  font-weight: 600;
  color: var(--card-text-color);
  margin-bottom: 0.5rem;
}

.develop_card_desc {
  font-size: 15px;
  color: var(--card-desc2-color);
  margin-bottom: 1.4rem;
}

.develop_card_quick,
.develop_card_more {
  display: flex;
  align-items: center;
  color: #47b3f1 !important;
  font-size: 14px;
  margin-bottom: 0.5rem;
}
.develop_card_quick img {
  width: 18px;
  margin-right: 0.3rem;
}
.develop_card_more img {
  width: 18px;
  margin-left: 0.3rem;
}

.develop_card_quick:hover,
.develop_card_more:hover {
  text-decoration: underline;
}

/* ---------------------------- */

.operation {
  box-sizing: border-box;
  width: 100%;
  padding: 0rem 5rem 0rem;
}
.operation_title {
  font-size: 1.6rem;
  font-weight: 600;
  color: var(--card-text-color);
}

.operation_desc {
  font-size: 1rem;
  color: var(--card-title-desc-color);
}

.operation_links {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2rem 2rem;
  margin-bottom: 2rem;
  padding: 2rem 4rem 1.5rem;
}

.operation_card {
  display: flex;
  flex-direction: column;
  padding: 1.5rem 2rem 2rem;
  border: 2px solid var(--card-bg-color);
  border-radius: 10px;
  box-shadow: 2px 2px 10px 0px var(--shadow-color);
  backdrop-filter: blur(13px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.operation_card:hover {
  transform: translateY(-3px);
  box-shadow: 2px 2px 10px 0px var(--hover-shadow-color);
}

.operation_card_title {
  font-size: 17px;
  font-weight: 600;
  color: var(--card-text-color);
  margin-bottom: 1rem;
}
.operation_card_link {
  font-size: 14px;
  color: #47b3f1 !important;
  line-height: 2;
  cursor: pointer;
}
.operation_card_link:hover {
  text-decoration: underline;
}

.apply_btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 20rem;
  color: #47b3f1 !important;
  line-height: 2.7;
  margin: auto;
  margin-bottom: 5rem;
  border: 2px solid var(--card-bg-color);
  border-radius: 10px;
  box-shadow: 2px 2px 10px 0px var(--shadow-color);
  backdrop-filter: blur(13px);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  cursor: pointer;
}
.apply_btn:hover {
  transform: translateY(-3px);
  box-shadow: 2px 2px 10px 0px var(--hover-shadow-color);
}

.tips {
  box-sizing: border-box;
  width: 100%;
  padding: 0rem 5rem 0rem;
  margin-bottom: 5rem;
}

.note_footer {
  display: flex;
  align-items: center;
  font-size: 15px;
  color: var(--footer-text-color);
  margin-bottom: 1rem;
}

.note_footer img {
  margin-right: 0.5rem;
}

.note_content {
  display: inline-block;
  white-space: nowrap;
}

.note_footer_link {
  color: var(--footer-link-color) !important;
  cursor: pointer;
}

.note_footer_link:hover {
  text-decoration: underline;
}

.contact_wrapper {
  position: relative;
  display: inline-block;
  white-space: nowrap;
}

.qrcode_popup {
  position: absolute;
  top: 0;
  left: 140%;
  transform: translateY(-43%);
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 0.5rem 0.5rem;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
  pointer-events: none;
  margin-left: 10px;
  width: 10rem;
  height: 10rem;
}

.qrcode_popup::before {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  transform: translateY(-50%);
  border: 10px solid transparent;
  border-right-color: white;
  margin-right: 0;
}

.qrcode_popup::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  transform: translateY(-50%);
  border: 10px solid transparent;
  border-right-color: #ddd;
  z-index: -1;
}

.contact_wrapper:hover .qrcode_popup {
  opacity: 1;
  visibility: visible;
}

.qrcode_image {
  width: 100%;
  height: auto;
  display: block;
  margin: 0 !important;
}

@media (hover: hover) and (pointer: fine) {
  .contact_wrapper:hover .qrcode_popup {
    opacity: 1;
    visibility: visible;
  }
}

/* 移动端使用focus */
.contact_wrapper:focus-within .qrcode_popup {
  opacity: 1;
  visibility: visible;
}

/* 为移动端添加点击区域 */
.note_footer_link {
  position: relative;
  /* 增加点击热区 */
  padding: 5px;
  margin: -5px;
}

/* 重置 container-xxl 样式 */
.container-xxl {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

@media (max-width: 768px) {
  .header {
    padding: 2rem 2rem;
  }
  .header_title {
    font-size: 1.6rem;
  }

  .header_desc {
    font-size: 1rem;
  }

  .quick_links {
    grid-template-columns: 1fr;
    padding: 2rem;
  }

  .explore_links {
    grid-template-columns: 1fr;
    padding: 2rem;
  }

  .develop_links {
    grid-template-columns: 1fr;
    padding: 2rem;
  }
  .operation_links {
    grid-template-columns: 1fr;
    padding: 2rem;
  }

  .explore {
    padding: 0 2rem;
  }
  .explore_title {
    font-size: 1.4rem;
  }
  .explore_desc {
    font-size: 0.9rem;
  }

  .develop {
    padding: 0 2rem;
  }
  .develop_title {
    font-size: 1.4rem;
  }
  .develop_desc {
    font-size: 0.9rem;
  }

  .operation {
    padding: 0 2rem;
  }
  .operation_title {
    font-size: 1.4rem;
  }
  .operation_desc {
    font-size: 0.9rem;
  }
  .apply_btn {
    margin-bottom: 4rem;
  }
  .tips {
    padding: 0 2rem;
  }
}
